Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DiceStickersSlotMachine

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.DiceStickers
it.tdlight.jni.TdApi.DiceStickersSlotMachine

Enclosing class:
  TdApi

public static final class TdApi.DiceStickersSlotMachine extends TdApi.DiceStickers
Animated stickers to be combined into a slot machine.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.Sticker`
`background`
The animated sticker with the slot machine background.
`TdApi.Sticker`
`centerReel`
The animated sticker with the center reel.
`static final int`
`CONSTRUCTOR`
`TdApi.Sticker`
`leftReel`
The animated sticker with the left reel.
`TdApi.Sticker`
`lever`
The animated sticker with the lever animation.
`TdApi.Sticker`
`rightReel`
The animated sticker with the right reel.

## Constructor Summary

Constructors
Constructor
Description
`DiceStickersSlotMachine()`
Animated stickers to be combined into a slot machine.
`DiceStickersSlotMachine(TdApi.Sticker background, TdApi.Sticker lever, TdApi.Sticker leftReel, TdApi.Sticker centerReel, TdApi.Sticker rightReel)`
Animated stickers to be combined into a slot machine.
`DiceStickersSlotMachine(DataInput input)`
Animated stickers to be combined into a slot machine.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### background

public TdApi.Sticker background
The animated sticker with the slot machine background. The background animation must start playing after all reel animations finish.

### lever

public TdApi.Sticker lever
The animated sticker with the lever animation. The lever animation must play once in the initial dice state.

### leftReel

public TdApi.Sticker leftReel
The animated sticker with the left reel.

### centerReel

public TdApi.Sticker centerReel
The animated sticker with the center reel.

### rightReel

public TdApi.Sticker rightReel
The animated sticker with the right reel.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### DiceStickersSlotMachine

public DiceStickersSlotMachine()
Animated stickers to be combined into a slot machine.

### DiceStickersSlotMachine

public DiceStickersSlotMachine(TdApi.Sticker background, TdApi.Sticker lever, TdApi.Sticker leftReel, TdApi.Sticker centerReel, TdApi.Sticker rightReel)
Animated stickers to be combined into a slot machine.

Parameters:
  `background` - Sticker The animated sticker with the slot machine background. The background animation must start playing after all reel animations finish.
  `lever` - Sticker The animated sticker with the lever animation. The lever animation must play once in the initial dice state.
  `leftReel` - Sticker The animated sticker with the left reel.
  `centerReel` - Sticker The animated sticker with the center reel.
  `rightReel` - Sticker The animated sticker with the right reel.

### DiceStickersSlotMachine

public DiceStickersSlotMachine(DataInput input) throws IOException
Animated stickers to be combined into a slot machine.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`